package com.fdkankan.ucenter.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.fdkankan.ucenter.entity.SceneProEdit;
import com.fdkankan.ucenter.mapper.ISceneProEditMapper;
import com.fdkankan.ucenter.service.ISceneProEditService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * pro场景编辑数据表 服务实现类
 * </p>
 *
 * @author 
 * @since 2022-07-12
 */
@Service
public class SceneProEditServiceImpl extends ServiceImpl<ISceneProEditMapper, SceneProEdit> implements ISceneProEditService {

    @Override
    public SceneProEdit getByProId(Long proId) {
        LambdaQueryWrapper<SceneProEdit> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(SceneProEdit::getProId,proId);
        List<SceneProEdit> list = this.list(wrapper);
        if(list != null && list.size() >0){
            return list.get(0);
        }
        return null;
    }
}
